COLOBOT(6)

NAME
colobot - educational programming strategy game

SYNOPSIS
colobot

DESCRIPTION
Colobot (Colonize with Bots) is an educational game aiming to teach programming through entertainment. You are playing as an astronaut on a journey with robot helpers to find a planet for colonization. It features 3D real-time graphics and a C++ and Java-like, object-oriented language, CBOT, which can be used to program the robots available in the game.

OPTIONS

-help
    Display a short help text

-resolution WxH
    Set runtime screen resolution

-graphics default|auto|opengl|gl14|gl21|gl33
    Changes graphics device

-glversion default|#.#
    Sets OpenGL context version to use.

-glprofile default|core|compatibility|opengles
    Sets OpenGL context profile to use.

RUNTIME PATH OVERRIDES

-langdir /path/to/lang/
    Set custom language directory path

-datadir /path/to/data/
    Set custom data directory path

-savedir /path/to/save/
    Set custom save directory path (must be writable)

-mod /path/to/mods/
    Set datadir mod path

DEBUG OPTIONS

-loglevel trace|debug|info|warn|error|none.
    Set log level.

-debug all|event|models|...
    Enable debug mode (more info printed in logs). Possible values are as follows, as well as any comma-separated combination

    sys_events
        System events

    update_events
        Update events

    app_events
        Application events

    events
        All above events

    models
        Models-related debugging

    all All above debugging statements

-headless
    Run in headless mode - disables graphics, sound and user interaction

-runscene scenecodename
    Run given scene on start (skip menus)

-scenetest
    Win every mission right after it's loaded

ENVIRONMENT

LC_MESSAGES
    Used to determine the runtime language.

AUTHOR
This manpage was written by Didier Raboud <odyx@debian.org>.